Не могу установить firefox-3.0b5.tar.bz2 на ASP 11.2

Аватар пользователя sergey113

У меня ASPLinux 11.2 распоковал irefox-3.0b5.tar.bz2 решил запустить кликнул на файл firefox он мне написал что This application requires GTK+ 2.10 or newer.
Пошол ставить эту беду.. нашел gtk2-2.10.6-1.110msiu.i386.rpm
пошел дальше
В начале выдал кучу зависимостей .. стал их удовлетворять

на одном из этапов выдал
Missing Dependency: pango >= 1.13.0-1 is needed by package gtk2
такого не нашел в нете - нашел 2 других :
pango-1.14.7-1.110msiu.i386.rpm - этот пишет
Missing Dependency: libX11 is needed by package pango
Missing Dependency: libXft is needed by package pango
Missing Dependency: libXrender is needed by package pango
Missing Dependency: libXext is needed by package pango
Второй
pango-1.16.4-1.0.120asp.i386.rpm - пишет
Missing Dependency: libX11 is needed by package pango
и тоже куча вссего

Пошел искать libX11 качнул пару они не катят...

Можно, определеннее сказать почему pango-1.14.7-1.110msiu.i386.rpm не катит .. ну нету у меня 1.13.0-1 на сайте ASPLinux тоже нет ...
Как тут можно извернутся

пробовал yum вот что пишет:

[root@Prosto Desktop]# yum install firefox-3.0b5.tar.bz2
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
asplinux-base [1/2]
asplinux-base 100% |=========================| 1.1 kB 00:00
asplinux-updates [2/2]
asplinux-updates 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: firefox-3.0b5.tar.bz2
Nothing to do

Аватар пользователя BigAndy

Re: Не могу установить firefox-3.0b5.tar.bz2 на ASP 11.2

Скачайте исходники и скомпилите под свои библиотеки. Улыбка

А так yum'ом можно пользоваться толко при созданном репозитарии мозиллы.

Аватар пользователя sergey113

Re: Не могу установить firefox-3.0b5.tar.bz2 на ASP 11.2

BigAndy писал(а):
Скачайте исходники и скомпилите под свои библиотеки. Улыбка

А так yum'ом можно пользоваться толко при созданном репозитарии мозиллы.

я еще новичок не когда не собирал rpm из исходников ... да не видел на 3.0 ссылок на исходники... к томуже читал что это очееень долго делается

Аватар пользователя BigAndy

Re: Не могу установить firefox-3.0b5.tar.bz2 на ASP 11.2

sergey113 писал(а):
... к томуже читал что это очееень долго делается

Врут.
Прочитайте, как это делается, и вперед.
Предварительно придется установить недостающие библиотеки (если они потребуются)
Я, например, скомпилил первое ядро на третий день знакомства с линуксом.

Аватар пользователя djo

Re: Не могу установить ...

Могу только одно сказать мегаУмнику, компилирующему ядро на третий день знакомства: "да вы, батенька, задрот!"

Аватар пользователя Metrrr

Re: Не могу установить ...

Тут все дело в той библиотеке, которой тебе не достает. Я тоже сейчас отлаживаю свою систему ASPLinux 11.2, и с исходниками намучался прилично; но не все так печально, как кажется. Если библиотеки не наблюдается в твоей Панели Управления, то попробуй скачать ее из Интернета поисковиком GOOGLE, наверняка найдешь.

К слову, так сказать: когда я компилировал одну игру под ASPLinux у меня получалось из рук вон плохо. Игра не хотела ставиться и в результате я конечно же ее поставить не мог (поскольку еще не до конца понял принцип скрипта ./configure), но зато там, где выявились недостающие ошибки при конфигурации, я сделал следующее:

1. Распечатал на принтере ход компиляции исходников (это мне очень помогло!)
2. Через Панель Управления настроил все скрипты, которая требовала система при компиляции игры

Собственно, вот и все шаги которые я сделал. Все остальное уже зависит от тебя, и от твоего внимания по прочтению "Руководства пользователя". Так что твоя ситуация мне где-то близка. Сам еще не полностью разобрался с системой. Но в целом ход событий я изложил. Остается только внимательно прочесть руководство.

RSS-материал